<template>
  <nav id="nav-bar" :class="{ active: isActive }" sticky-container>
    <div v-sticky class="nvabar-inner">
      <ul>
        <li
          v-for="item in menu"
          :key="item.icon"
          :class="{ active: $route.name === item.route }"
        >
          <router-link :to="{ name: item.route }">
            <i :class="item.icon" class="icon" />
            <span>{{ item.title }}</span>
          </router-link>
        </li>
      </ul>
    </div>
  </nav>
</template>

<script>
export default {
  name: 'Navbar',
  data() {
    return {
      menu: [
        {
          icon: 'ic-list-apple',
          route: 'food',
          title: 'خوراکی ها'
        },
        {
          icon: 'ic-list-heart',
          route: 'activity',
          title: 'فعالیت ها'
        },
        {
          icon: 'ic-logo',
          route: 'home',
          title: 'برنامه'
        },
        {
          icon: 'ic-change-food',
          route: 'exchange',
          title: 'جایگزینی'
        },
        {
          icon: 'ic-magazine',
          route: 'mag',
          title: 'مجله'
        }
      ]
    }
  },
  computed: {
    isActive() {
      return this.menu.map(item => item.route).includes(this.$route.name)
    }
  }
}
</script>
